
package encapsuladoras;

public class Inmueble implements java.io.Serializable {

    private String referencia;
    private int superficie;
    private int precio;
    private String comentario;
   
    public Inmueble() {
    }

    public Inmueble(String referencia, int superficie, int precio, String comentario) {
        this.referencia = referencia;
        this.superficie = superficie;
        this.precio = precio;
        this.comentario = comentario;
    }
    
    public String getReferencia() {
        return referencia;
    }

    public void setReferencia(String referencia) {
        this.referencia = referencia;
    }

    public int getSuperficie() {
        return superficie;
    }

    public void setSuperficie(int superficie) {
        this.superficie = superficie;
    }

    public int getPrecio() {
        return precio;
    }

    public void setPrecio(int precio) {
        this.precio = precio;
    }

    public String getComentario() {
        return comentario;
    }

    public void setComentario(String comentario) {
        this.comentario = comentario; 
    }
    
    public boolean equals(Object objeto) {
        boolean iguales = false;
        
        if (objeto instanceof Inmueble)
        {
           Inmueble inmueble = (Inmueble)objeto;
              
           if ((this.superficie == inmueble.superficie) && (this.precio == inmueble.precio) && (this.referencia.equals(inmueble.referencia)))
               iguales = true;
        } 
        
        return iguales;
    } 
}
